import request from '@/utils/request'

// 查询车位相机信息列表
export function listCamera(query) {
    return request({
        url: '/pile/camera/list',
        method: 'get',
        params: query
    })
}

// 查询车位相机信息详细
export function getCamera(id) {
    return request({
        url: '/pile/camera/' + id,
        method: 'get'
    })
}

// 新增车位相机信息
export function addCamera(data) {
    return request({
        url: '/pile/camera',
        method: 'post',
        data: data
    })
}

// 修改车位相机信息
export function updateCamera(data) {
    return request({
        url: '/pile/camera',
        method: 'put',
        data: data
    })
}

// 删除车位相机信息
export function delCamera(id) {
    return request({
        url: '/pile/camera/' + id,
        method: 'delete'
    })
}
